uses testlib, SysUtils;

var t, n, i, j, tmp: integer;
    a: array[0 .. 1000] of integer;
    check: boolean;

begin
    n := inf.readlongint;
    t := ans.readlongint;
    a[0] := ouf.readlongint;
    if (a[0] = -1) then begin
        if (t = -1) then begin
            quit(_ok, '');
        end else begin
            quit(_wa, 'Участник не нашел ответа, хотя он существует');
        end;
    end;
    if (a[0] <> 0) and (a[0] <> 1) then
      quit(_wa, 'Ожидалось 0 или 1, найдено: ' + IntToStr(a[0]));
    for i := 1 to n - 1 do begin        
        a[i] := ouf.readlongint;
        if (a[i] <> 0) and (a[i] <> 1) then
          quit(_wa, 'Ожидалось 0 или 1, найдено: ' + IntToStr(a[i])); // это не проверялось
    end;    

    for i := 0 to n - 1 do begin
        check := true;
        for j := 0 to n - 1 do begin
            if (j >= n - j - 1) then
                break;
            if (a[j] <> a[n - j - 1]) then begin
                check := false;
                break;
            end;
        end;
        if (check) then begin
            quit(_wa, 'Существует ось симметрии, проходящая между элементами с номерами ' + IntToStr(n - i) + ' и ' + IntToStr((n - i) mod n + 1));
        end;
        tmp := a[n - 1];
        for j := n - 1 downto 1 do 
            a[j] := a[j - 1];
        a[0] := tmp;
    end; 
    for i := 0 to n - 1 do begin
        check := true;
        for j := 0 to n - 2 do begin 
            if (j >= n - j - 2) then
                break;
            if (a[j] <> a[n - j - 2]) then begin
                check := false;
                break;
            end;
        end;
        if (check) then begin
            quit(_wa, 'Существует ось симметрии, проходящая через элементы с номерами ' + IntToStr(n - i) + ' и ' + IntToStr(n - i - n div 2));
        end;
        tmp := a[n - 1];
        for j := n - 1 downto 1 do 
            a[j] := a[j - 1];
        a[0] := tmp;
    end;        

    if (t = -1) then begin
        quit(_fail, 'Участник нашел ответ, в отличие от жюри');  //ага, надо с ОК выходить, как будто ничего не заметили и не страшно :)
    end;
    quit(_ok, 'OK');
end.